Steven Jones wrote:
I have just built these 2 fed14 to act as a server and client and run
yum update....so they should be as closely sync'd as possible...

=============client===========

[root@fed14-64-ipacl01 ~]# ipa-client-install
Discovery was successful!
Realm: IPA.AC.NZ
DNS Domain: ipa.ac.nz
IPA Server: fed14-64-ipam001.ipa.ac.nz
BaseDN: dc=ipa,dc=ac,dc=nz


Continue to configure the system with these values? [no]: yes
Enrollment principal: admin
Password for ad...@ipa.ac.nz:

Joining realm failed because of failing XML-RPC request.
   This error may be caused by incompatible server/client major versions.
[root@fed14-64-ipacl01 ~]# date
Mon Feb 28 03:12:57 NZDT 2011
[root@fed14-64-ipacl01 ~]#


=============server===========

8><--------
is this ok [y/N]: y
Downloading Packages:
Setting up and reading Presto delta metadata
updates-testing/prestodelta
|  30 kB     00:00
Processing delta metadata
Package(s) data still to download: 304 k
(1/2): nss-softokn-3.12.9-5.fc14.x86_64.rpm
| 175 kB     00:00
(2/2): nss-softokn-freebl-3.12.9-5.fc14.x86_64.rpm
| 129 kB     00:00
------------------------------------------------------------------------------------------------------------------------
Total
789 kB/s | 304 kB     00:00
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
   Updating       : nss-softokn-freebl-3.12.9-5.fc14.x86_64
1/4
   Updating       : nss-softokn-3.12.9-5.fc14.x86_64
2/4
   Cleanup        : nss-softokn-3.12.9-4.fc14.x86_64
3/4
   Cleanup        : nss-softokn-freebl-3.12.9-4.fc14.x86_64
4/4

Updated:
   nss-softokn.x86_64 0:3.12.9-5.fc14
nss-softokn-freebl.x86_64 0:3.12.9-5.fc14

Complete!
[root@fed14-64-ipam001 tmp]# date
Mon Feb 28 03:13:02 NZDT 2011
[root@fed14-64-ipam001 tmp]#
============

So nothing major on the server needs updating and the client is bang up
to date, time stamp is close....

regards

The client and server packages need to be the same version. We realized that we had re-used an OID and had to change the OID used to register the enrollment OID. So the client package needs to be the same version as the server, for now anyway.

rob

_______________________________________________
Freeipa-users mailing list
Freeipa-users@redhat.com
https://www.redhat.com/mailman/listinfo/freeipa-users

Reply via email to